/*.mainmenu__item.open > .navigation-menu {*/
/*    display: block;*/
/*}*/

.navigation-menu-background-cover {
    display: none;
    pointer-events: none;
    position: fixed;
    top: 96px;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    z-index: -1;
    transition: .4s;
}

.navigation-menu {
    display: none;
    text-transform: uppercase;
    font-weight: normal;
    background-color: white;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    color: black;
    padding: 10px 0;
}

.navigation-menu > .info-container,
.navigation-menu > .menu-image {
    display: none;
}

.navigation-menu > .link-list {
    list-style: none;
    margin: 0;
}

.navigation-menu > .link-list .list-header {
    color: rgb(233, 78, 27);
    text-transform: none;
}

.navigation-menu > .link-list a {
    display: flex;
    align-items: center;
    color: black;
    font-weight: bold;
    text-decoration: none;
    border-bottom: 1px solid rgba(0,0,0,.1);
    padding: 8px 0;
    transition: .4s;
}

.navigation-menu > .link-list li:last-child a {
    border-bottom: none;
}

.navigation-menu > .link-list a > img {
    width: 28px;
    height: 28px;
    margin-right: 24px;
}

.navigation-menu > .link-list a:hover {
    color: rgb(233, 78, 27);
}

@media only screen and (min-width: 992px)
{
    .navigation-menu-background-cover {
        display: inline-block;
        opacity: 0;
    }

    .navigation-menu {
        line-height: normal;
        letter-spacing: normal;
        opacity: 0;
        pointer-events: none;
        text-transform: none;
        position: fixed;
        top: 96px;
        left: 0;
        right: 0;
        z-index: 2;
        justify-content: center;
    }

    .navigation-menu > .menu-image {
        display: inline;
    }

    .navigation-menu > .link-list a {
        border-bottom: 0;
        white-space: nowrap;
    }

    .navigation-menu {
        display: grid;
        grid-template-columns: 350px auto;
        align-items: start;
        gap: 48px;
        padding: 64px;
        /*border-bottom-left-radius: 12px;*/
        /*border-bottom-right-radius: 12px;*/
        background-color: white;
    }

    .navigation-menu.three-columns {
        grid-template-columns: 350px repeat(2, auto);
    }

    .navigation-menu.four-columns {
        grid-template-columns: 350px repeat(3, auto);
    }

    .navigation-menu.five-columns {
        grid-template-columns: 350px repeat(4, auto);
    }

    .navigation-menu > .info-container {
        display: grid;
        grid-template-rows: repeat(2, auto);
        gap: 32px;
    }

    .navigation-menu > .info-container.with-action {
        grid-template-rows: repeat(3, auto);
    }

    .navigation-menu > .info-container > .info-container-header {
        font-size: 48px;
        font-family: 'stolzl', 'Open Sans', sans-serif;
    }

    .navigation-menu > .info-container > a.info-container-action {
        display: flex;
        align-items: center;
        justify-content: center;
        justify-self: start;
        height: 36px;
        padding: 0 24px;
        border-radius: 18px;
        color: white;
        background-color: #e94e1b;
        text-decoration: none;
    }

    .navigation-menu > .menu-image {
        width: 256px;
        height: 256px;
        object-fit: contain;
    }

    .navigation-menu > .link-list {
        display: grid;
        gap: 16px;
    }

    .navigation-menu > .link-list .list-header {
        color: #BABABA;
    }

    .navigation-menu > .link-list a {
        display: flex;
        align-items: center;
        color: black;
        font-size: 1em;
        font-weight: bold;
        text-decoration: none;
    }

    .navigation-menu > .link-list a > img {
        width: 28px;
        height: 28px;
        margin-right: 24px;
    }

    /*.navigation-menu {
        display: grid;
        width: 600px;
        background-color: white;
        align-items: center;
        grid-template-columns: minmax(auto, 350px) auto;
        gap: 48px;
        padding: 72px;
        text-transform: none;
        opacity: 0;
        pointer-events: none;
        position: absolute;
        transition: 0s;
        z-index: 1;
    }

    .navigation-menu-three-columns {
        grid-template-columns: minmax(auto, 350px) repeat(2, auto);
        width: 850px;
    }

    .navigation-menu-link-list {
        display: grid;
        gap: 16px;
    }

    .navigation-menu-link-list a {
        border-bottom: 0;
        font-size: 20px;
    }*/

    .main-header-item:hover .navigation-menu,
    .main-header-item.main-header-item-touched .navigation-menu {
        opacity: 1;
        pointer-events: auto;
    }

    .main-header-item:hover .navigation-menu-background-cover,
    .main-header-item.main-header-item-touched .navigation-menu-background-cover {
        opacity: 0.1
    }
}

@media screen and (min-width: 1025px) and (max-width: 1400px) {
    .navigation-menu.five-columns {
        grid-template-columns: repeat(4, auto);
    }

    .navigation-menu > .menu-image {
        display: none;
    }
}

@media screen and (min-width: 1025px) and (max-width: 1300px) {
    .navigation-menu {
        grid-template-columns: auto;
        gap: 36px;
        padding: 56px;
    }

    .navigation-menu.three-columns {
        grid-template-columns: repeat(2, auto);
    }

    .navigation-menu.four-columns,
    .navigation-menu.five-columns {
        grid-template-columns: repeat(3, auto);
    }

    .navigation-menu > .info-container {
        display: none;
    }
}
